use axum::Router;
use sqlx::SqlitePool;
use std::sync::Arc;
use tokio::net::TcpListener;

mod station;

/// Starts the main application.
pub async fn start(listener: TcpListener, db: SqlitePool) {
    let app = Router::new()
        .nest("/station", station::routes())
        .with_state(Arc::new(db));

    axum::serve(listener, app).await.unwrap();
}
